Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class SelectiveRenderingFilter

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.BaseContentFilter
            |
            +--oracle.portal.provider.v1.http.HtmlFilter
                  |
                  +--oracle.portal.provider.v1.http.SelectiveRenderingFilter

All Implemented Interfaces:
  ContentFilter

public class SelectiveRenderingFilter
extends HtmlFilter

SelectiveRenderingFilter is an extension of HtmlFilter and is used for rendering links inline on a selective basis. User can specify specific properties of href for which inline rendering should be disabled. Two properties `hrefFieldName` and `disableInlineRenderingID` can be set through provider.xml and if a href contains an attribute given by <hrefFieldName> and value given by <disableInlineRenderingID> it will not be rendered inline.

Constructor Summary
`SelectiveRenderingFilter()`

Method Summary
`protected java.lang.String` | `addJavaScriptToLink(oracle.portal.provider.v1.PortletRenderRequest pr, java.lang.StringBuffer htmlSource, java.lang.String baseHref, java.lang.String tag, java.lang.String attribute, int debugLevel)` Overrides super class's function.
`java.lang.String` | `getDisableInlineRenderingID()` Gives ID value of href property for which inline rendering should be disabled.
`java.lang.String` | `getHrefFieldName()` Method returns href field name which is used for disabling inline rendering.
`protected boolean` | `isInlineRenderingEnabled(java.lang.String tag)` Checks if the link contains ID specified by the tag disableInlineRenderingID.
`void` | `setDisableInlineRenderingID(java.lang.String dIRenderingID)` Set method for tag in provider.xml
`void` | `setHrefFieldName(java.lang.String hrefFieldName)` Set method for tag in provider.xml

Methods inherited from class oracle.portal.provider.v1.http.HtmlFilter
`filterContent, getConvertTarget, modifyClassProperty, removeTag, replaceHRefClassProperty, replaceTableBackground, replaceTableClassProperty, replaceTagAttribute, setConvertTarget, setFooterTrimTag, setHeaderTrimTag`

Methods inherited from class oracle.portal.provider.v1.http.BaseContentFilter
`addJavaScriptSubmitFunction, authenticateBasicLoginLinks, authenticateFormLoginLinks, getBaseHRef, getBaseHRef, getInlineRendering, getRedirectUrlFieldName, getSecBaseHRef, getUrlContentType, getUseAuthLinks, getUsePortalStyle, parseBaseHref, popBaseHref, renderContents, replaceAuthLinks, setBaseHRef, setInlineRendering, setRedirectUrlFieldName, setRemoveClassProperty, setSecBaseHRef, setUrlContentType, setUseAuthLinks, setUsePortalStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectiveRenderingFilter

    public SelectiveRenderingFilter()

Method Detail

### getDisableInlineRenderingID

    public java.lang.String getDisableInlineRenderingID()

  Gives ID value of href property for which inline rendering should be disabled.
  Returns:
    HREF ID value which disables inline rendering.

### setDisableInlineRenderingID

    public void setDisableInlineRenderingID(java.lang.String dIRenderingID)

  Set method for tag in provider.xml
  Parameters:
    `dIReneringID` - value to be looked for HRef attribute, for which Inline Rendering should be disabled. Name of the attribute can be specified by `<hrefFieldName>` tag.

### setHrefFieldName

    public void setHrefFieldName(java.lang.String hrefFieldName)

  Set method for tag in provider.xml
  Parameters:
    `hrefFieldName` - Name of the attribute which is responsible for disabling inline rendering of links. If specified none, "id" will be used as default name.

### getHrefFieldName

    public java.lang.String getHrefFieldName()

  Method returns href field name which is used for disabling inline rendering.
  Returns:
    Href field name.

### addJavaScriptToLink

    protected java.lang.String addJavaScriptToLink(oracle.portal.provider.v1.PortletRenderRequest pr,
                                                   java.lang.StringBuffer htmlSource,
                                                   java.lang.String baseHref,
                                                   java.lang.String tag,
                                                   java.lang.String attribute,
                                                   int debugLevel)

  Overrides super class's function. Introduces an additional check before making the link render inline.
  Overrides:
    `addJavaScriptToLink` in class `BaseContentFilter`
  Following copied from class: `oracle.portal.provider.v1.http.BaseContentFilter`
  Parameters:
    `pr` - PortletRenderRequest
    `htmlSource` - HTML content fetched from pageUrl.
    `baseHref` - base href for making absolute links.
    `tag` - Name of the html tag
    `attribute` - name of attribute in the tag specified by {tag}
    `debugLevel` - debug level parameter specified in zone.properties.

### isInlineRenderingEnabled

    protected boolean isInlineRenderingEnabled(java.lang.String tag)

  Checks if the link contains ID specified by the tag disableInlineRenderingID. If true returns true, else false.
  Returns:
    boolean ID for which link should not be rendered inline.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD